Subject: Question on MPC83xx interrupts

From: Andre Schwarz <[email-masked]>
Date: Tue, 22 Apr 2008 18:58:33 +0200

All,

I'm currently running a MPC8343 based board.

Looks like I'm having problems with IRQs of a PCI device.

/proc/interrupts give :

           CPU0
 16:        554   IPIC   Level     i2c-mpc
 17:         11   IPIC   Level     i2c-mpc
 18:        134   IPIC   Level     ath
 19:       1557   IPIC   Level     serial
 21:        341   IPIC   Level     mpc83xx_spi
 38:          0   IPIC   Level     ehci_hcd:usb1
BAD:          2

I wonder if the IRQ number should match the vector of the datasheet ... 
giving :

14  -> I2C1
15  -> I2C2
16  -> SPI
38  -> USB DR

The "ath" is a PCI Ath5k WiFi module connected to IRQ1, i.e. mapped to 
vector 17.

Are the IRQ numbers shifted/mapped/scrambled in any way ?

Can anyone shed some light on this ?

Cheers,
Andre Schwarz
Matrix Vision

MATRIX VISION GmbH, Talstraße 16, DE-71570 Oppenweiler  - Registergericht: Amtsgericht Stuttgart, HRB 271090
Geschäftsführer: Gerhard Thullner, Werner Armingeon, Uwe Furtner